package com.yeejoin.amos.boot.module.ugp.api.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.ugp.api.dto.CodeWeldDto;
import com.yeejoin.amos.boot.module.ugp.api.dto.SmartListDto;
import com.yeejoin.amos.boot.module.ugp.api.entity.Verify;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.Date;
import java.util.List;

/**
 * 智能监检管理表 Mapper 接口
 *
 * @author system_generator
 * @date 2022-09-22
 */
@Mapper
public interface VerifyMapper extends BaseMapper<Verify> {

    /**
     * 公共接口
     * @param   stage 处于那个检验检测阶段
     * @return
     */

    Page<Verify> commonality(Page<Verify> page,String stage, SmartListDto smartListDto, List listId );

    @Select("select * from tz_ugp_verify where target_info = #{targetInfo}")
    Verify selectByTargetInfo(String targetInfo);
   //
    List<Verify> selectByWelder(Long projectId,Long welderId,String code,String stage,Long random);
    Verify selectByCode(String code,Long projectId,String stage,Long random);
    List<CodeWeldDto> getCode();
    List<Verify> getVerity(String code);
    Verify getOnes(Long projectId , String time,String code,String manyCode);



}
